uk.gov.hmrc.cache.repository

# CacheRepository

###
Related Docs: object CacheRepository | package repository

#### trait CacheRepository extends Repository[Cache, Id] with UniqueIndexViolationRecovery

Linear Supertypes
UniqueIndexViolationRecovery, Repository[Cache, Id], CurrentTime, AnyRef, Any
Known Subclasses
CacheMongoRepository
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CacheRepository
2. UniqueIndexViolationRecovery
3. Repository
4. CurrentTime
5. AnyRef
6. Any

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def bulkInsert(entities: Seq[Cache])(implicit ec: ExecutionContext): Future[MultiBulkWriteResult]

   Definition Classes
     Repository

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def count(implicit ec: ExecutionContext): Future[Int]

   Definition Classes
     Repository

7. #### def createOrUpdate(id: Id, key: String, toCache: JsValue): Future[DatabaseUpdate[Cache]]

8. #### def drop(implicit ec: ExecutionContext): Future[Boolean]

   Definition Classes
     Repository

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### def find(query: (String, JsValueWrapper)*)(implicit ec: ExecutionContext): Future[List[Cache]]

    Definition Classes
      Repository

13. #### def findAll(readPreference: ReadPreference)(implicit ec: ExecutionContext): Future[List[Cache]]

    Definition Classes
      Repository

14. #### def findById(id: Id, readPreference: ReadPreference)(implicit ec: ExecutionContext): Future[Option[Cache]]

    Definition Classes
      Repository

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### def insert(entity: Cache)(implicit ec: ExecutionContext): Future[WriteResult]

    Definition Classes
      Repository

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def recoverFromViolation[A](result: Future[A], fallback: ⇒ Future[A]): Future[A]

    Definition Classes
      UniqueIndexViolationRecovery

23. #### def remove(query: (String, JsValueWrapper)*)(implicit ec: ExecutionContext): Future[WriteResult]

    Definition Classes
      Repository

24. #### def removeAll(writeConcern: WriteConcern)(implicit ec: ExecutionContext): Future[WriteResult]

    Definition Classes
      Repository

25. #### def removeById(id: Id, writeConcern: WriteConcern)(implicit ec: ExecutionContext): Future[WriteResult]

    Definition Classes
      Repository

26. #### def save(entity: Cache)(implicit ec: ExecutionContext): Future[WriteResult]

    Definition Classes
      Repository

27. #### def saveOrUpdate(findQuery: ⇒ Future[Option[Cache]], ifNotFound: ⇒ Future[Cache], modifiers: (Cache) ⇒ Cache)(implicit ec: ExecutionContext): Future[DatabaseUpdate[Cache]]

    Attributes
      protected

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def withCurrentTime[A](f: (DateTime) ⇒ A): A

    Definition Classes
      CurrentTime

34. #### lazy val zone: DateTimeZone

    Attributes
      protected
    Definition Classes
      CurrentTime

### Inherited from UniqueIndexViolationRecovery

### Inherited from Repository[Cache, Id]

### Inherited from CurrentTime

### Inherited from AnyRef

### Inherited from Any

### Ungrouped